#ifndef KSYNCMLADDRESSBOOKDATABASE_H
#define KSYNCMLADDRESSBOOKDATABASE_H

#include <qmap.h>
#include <syncmldatabase.h>
//#include "mlsynchistory.h"

class SMLURI;
class SMLSessionHandler;
class SMLTreeNode;
//class MLSyncHistory;

namespace KSyncML 
{


/**
* @author Maciek Borowka
*/
class AddressBookDatabase : public SyncMLDatabase
{
public:
	AddressBookDatabase();
	virtual ~AddressBookDatabase();
	
	/** We call a "client" the device we are talking to and synchronizing with */
	virtual void processClientData(SyncMLSession::TSynceesList& data);
	virtual void processClientKeys(SyncMLSession::TKeysList& data);

public slots:
	virtual ChangeLog * getDBChangeLog();

}; //end of class

}; //end of namespace

#endif
